org.codehaus.groovy.reflection.stdclasses

## Class ObjectCachedClass

- java.lang.Object
- - org.codehaus.groovy.reflection.CachedClass
  - - org.codehaus.groovy.reflection.stdclasses.ObjectCachedClass

-     public class ObjectCachedClass
      extends CachedClass

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

      `CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

      `classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectCachedClass(ClassInfo classInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CachedClass` | `getCachedSuperClass()`
    `boolean` | `isAssignableFrom(Class argument)`

    - ### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

      `addNewMopMethods, coerceArgument, getCachedClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectCachedClass

          public ObjectCachedClass(ClassInfo classInfo)

  - ### Method Detail

    - #### getCachedSuperClass

          public CachedClass getCachedSuperClass()

      Overrides:
        `getCachedSuperClass` in class `CachedClass`

    - #### isAssignableFrom

          public boolean isAssignableFrom(Class argument)

      Overrides:
        `isAssignableFrom` in class `CachedClass`